Skip to main content

Off-by-one Error

CVE-2022-34970

Severity High
Score 9.8/10

Summary

Crow before 1.0+4 has a heap-based buffer overflow via the function qs_parse in "query_string.h". On successful exploitation this vulnerability allows attackers to remotely execute arbitrary code in the context of the vulnerable service.

  • LOW
  • NETWORK
  • HIGH
  • UNCHANGED
  • NONE
  • NONE
  • HIGH
  • HIGH

CWE-193 - Off-by-one Error

A product calculates or uses an incorrect maximum or minimum value that is 1 more, or 1 less, than the correct value.

Advisory Timeline

  • Published